Get available customer insight filter values.

post

/sia/v1/impact/event/{eventId}/customerInsights/filters

Returns available values and counts for one customer insight filter after applying other selected filters.

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : filters
Type: array
Applied smart search filters for customer insights.
Show Source
Nested Schema : FilterChip
Type: object
Show Source
  • Name of the smart search filter.
  • value
    Filter value. Send one scalar value for a single selection or an array of values for a multi-select filter.
Nested Schema : value
Filter value. Send one scalar value for a single selection or an array of values for a multi-select filter.
Match One Schema
Show Source
Nested Schema : value-oneOf[1]
Type: array
Show Source
Nested Schema : value-oneOf[3]
Type: array
Show Source
Nested Schema : value-oneOf[5]
Type: array
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

Customer insight filter values retrieved successfully.
Body ()
Root Schema : CustomerInsightFiltersResponse
Type: object
Show Source
Nested Schema : values
Type: array
Available values for the selected filter.
Show Source
Nested Schema : CustomerInsightFilterValue
Type: object
Show Source
Nested Schema : value
Filter value to send back in Customer Insights requests.
Match One Schema
Show Source

400 Response

The request isn't valid
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

401 Response

The request is unauthorized
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

403 Response

The request is forbidden
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

500 Response

An Internal Server Error has occurred
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source
Back to Top